<ngx-loading [show]="loading" [config]="{primaryColour: primaryColour, secondaryColour: secondaryColour, tertiaryColour: primaryColour, backdropBorderRadius: '3px', fullScreenBackdrop: true}" [template]="loadingTemplate"></ngx-loading>
<ng2-toasty [position]="position"></ng2-toasty>


<div class="row">
    <div class="col-md-12 col-xl-12">
        <div class="page-header-breadcrumb" style="float: left">
            <ul class="breadcrumb-title">
                <li class="breadcrumb-item">
                    <a href="/dashboard"><i class="icofont icofont-home"></i></a> 
                </li> 
                <li class="breadcrumb-item">
                    <a href="/program">Kegiatan</a> 
                </li>  
                <li class="breadcrumb-item">
                    <a href="#" class="not-active">Statistik</a> 
                </li>  
            </ul>
        </div>
    </div>
</div>
<div class="row">
    <!-- counter-card-1 start-->
    <div class="col-md-12 col-xl-12">

        <br> 
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>Statistik Kegiatan </h5>
            </div>
            <div class="card-block" style="padding-left: 3rem; padding-right: 3rem;">

                <div class="row" style="/*border-bottom: 1px solid rgba(0,0,0,.125); padding-bottom: 10px;*/">
                    <div class="col-sm-9 col-xl-9">  
                    </div>
                   
                </div>
                
                <div class="row" *ngIf="finish_loading == true">  
                    <div class="col-sm-9 col-xl-9 row">
                        <div style="text-align: center;">
                            <img class="img-200 text-right" [src]="dataProgram.logo" style="max-height: 140px; width: auto; "/>
                        </div>
                        <div style="margin-top: 15px; margin-left: 15px;">
                            <h4><strong>{{dataProgram.nama}}</strong></h4> 
                            <h5 style="text-transform: none; color: black;">{{dataProgram.nama_lain}}</h5>
                        </div> 
                    </div> 
                    <div class="col-sm-3 col-xl-3">
                        <form class="md-float-material" [formGroup]="myForm" (ngSubmit)="onSubmit()" (keydown.enter)="$event.preventDefault()">
                        <select style="margin-top: 20px;" class="form-control" placeholder="Periode / Tahun" formControlName="periode" (change)="onChangePeriode($event, i)">
                            <option value="">-- Pilih Periode / Tahun --</option>
                            <option *ngFor="let periode of dataPeriode" value={{periode.id}}>
                                {{periode.tahun}}
                            </option>
                        </select>
                        </form> 
                    </div> 
                </div>

                <br><br>

                <div class="row"  *ngIf="finish_chart_kegiatan == true">  
                    <div class="col-sm-4"> 
                        <div class="card" style="border-top: 0px; border-radius: 7px; box-shadow: 0 10px 25px 0 rgba(0, 0, 0, 0.1);">
                            <div class="card-block">
                                <strong>Progress Kegiatan</strong>
                                <br><br>
                                <chart [type]="donutChartData.type" [data]="donutChartData.data" [options]="donutChartData.options" [style.background-image]="getBackground(dataProgram.logo)"
                                style="width: 65%; height: 70%; margin: auto; background-repeat: no-repeat; background-position: center; background-size: 35%; margin-top: 20px; margin-bottom: 20px;">
                                </chart> 
                                <span style="width: 100%; text-align: center; margin-left: -20px; margin-bottom: 0px; position: absolute; bottom: 15px;">Progress terhadap Output Indikator</span>
                            </div>
                        </div>
                    </div> 
                    <div class="col-sm-8" style="display: grid;">
                        <div class="card" style="border-top: 0px; border-radius: 7px; box-shadow: 0 10px 25px 0 rgba(0, 0, 0, 0.1);">
                            <div class="card-block">
                                <strong>Progress Indikator Kegiatan</strong>
                                <br><br>
                                <chart [type]="barChartData.type" [data]="barChartData.data" [options]="barChartData.options"
                                style="position: absolute; bottom: 30px; height:70%; width:90%;"></chart> 
                                <span style="width: 100%; text-align: center; margin-left: -20px; margin-bottom: 0px; position: absolute; bottom: 15px;">Progress Indikator Kegiatan</span>
                            </div>
                        </div>
                    </div> 
                </div>

                <div class="row"  *ngIf="finish_chart_anggaran == true">  
                    <div class="col-sm-12" style="display: grid; height: 500px;">
                        <div class="card" style="border-top: 0px; border-radius: 7px; box-shadow: 0 10px 25px 0 rgba(0, 0, 0, 0.1);">
                            <div class="card-block">
                                <strong>Kurva S</strong>
                                <br><br>
                                <div style="position: absolute; bottom: 0px; width: 95%; height: 80%;">
                                <chart [type]="lineChartData.type" [data]="lineChartData.data" [options]="lineChartData.options"
                                style="height:85%; width:100%;"></chart> 
                                </div>
                            </div>
                        </div>
                    </div> 
                    <div class="col-sm-12"> 
                        <div class="card" style="border-top: 0px; border-radius: 7px; box-shadow: 0 10px 25px 0 rgba(0, 0, 0, 0.1);">
                            <div class="card-block">
                                <strong>Anggaran per Kegiatan</strong>
                                <br><br>
                                <table class="table table-bordered table-hover" style="font-size: smaller">
                                    <thead>
                                        <tr>
                                            <th style="width: 5%">No</th>
                                            <th style="width: 25%">Kegiatan</th>
                                            <th style="width: 20%">Rencana Anggaran</th>
                                            <th style="width: 20%">Realisasi Anggaran</th>
                                            <th style="width: 10%">Sumber</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr *ngFor="let kegiatan of dataKegiatan; let i = index;">
                                            <td>{{i+1}}</td>
                                            <td>{{kegiatan.kegiatan}}</td>
                                            <td class="left">{{convert.formatRupiah(kegiatan.anggaran)}}</td>
                                            <td class="left">{{convert.formatRupiah(kegiatan.pencapaian_kuantitas)}} ({{kegiatan.pencapaian_persen}}%)</td>
                                            <td class="left"><span *ngIf="kegiatan.kategori === 'apbd'">APBD</span><span *ngIf="kegiatan.kategori === 'nonapbd'">Non APBD</span></td>
                                        </tr>
                                    </tbody> 
                                </table> 
                            </div>
                        </div>
                    </div> 
                </div>
                  
                <div class="row"  *ngIf="finish_chart_anggaran == true">
                    <div class="col-sm-12"> 
                        <div class="card" style="border-top: 0px; border-radius: 7px; box-shadow: 0 10px 25px 0 rgba(0, 0, 0, 0.1);">
                            <div class="card-block" style="height: 600px;">
                                <!-- <strong>Kurva S</strong>
                                <br><br> -->
                                <app-esri-map
                                    [zoom]="mapZoomLevel"
                                    [center]="mapCenter"
                                    [basemap]="basemapType"
                                    [data]="mapData"
                                    (mapLoadedEvent)="mapLoadedEvent($event)">
                                </app-esri-map>
                            </div>
                        </div>
                    </div> 
                </div>

                <div class="row"  *ngIf="finish_loading == true">
                    <div class="col-sm-12"> 
                        <div class="card" style="border-top: 0px; border-radius: 7px; box-shadow: 0 10px 25px 0 rgba(0, 0, 0, 0.1);">
                            <div class="card-block row">
                                <div class="col-sm-2 col-xl-2"> 
                                    <strong>OPD</strong>
                                </div> 
                                <div class="col-sm-1 col-xl-1" style="text-align: right"> 
                                    <span>:</span>
                                </div>
                                <div class="col-sm-9 col-xl-9"> 
                                    <span>{{dataProgram.dinas.nama}} </span>
                                </div>

                                <div class="col-sm-2 col-xl-2" style="margin-top: 10px;"> 
                                    <strong>Deskripsi</strong>
                                </div> 
                                <div class="col-sm-1 col-xl-1" style="text-align: right; margin-top: 10px;"> 
                                    <span>:</span>
                                </div>
                                <div class="col-sm-9 col-xl-9" style="margin-top: 10px;"> 
                                    <span>{{dataProgram.deskripsi}} </span>
                                </div>
 
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row" *ngIf="finish_loading == true"> 
                    <div class="col-sm-12"> 
                        <div class="card" style="border-top: 0px; border-radius: 7px; box-shadow: 0 10px 25px 0 rgba(0, 0, 0, 0.1);">
                            <div class="card-block row">
                                <div class="col-sm-4 col-xl-4"> 
                                    <strong>PIC ASN</strong><br>
                                    <span *ngFor="let row of dataProgram.pic_asn.arr">{{row.value}}</span>
                                </div>
                                <div class="col-sm-4 col-xl-4"> 
                                    <strong>PIC NON ASN</strong><br>
                                    <span *ngFor="let row of dataProgram.pic_non_asn.arr">{{row.value}}, </span>
                                </div>
                                <div class="col-sm-4 col-xl-4"> 
                                    <strong>TAJJ</strong><br>
                                    <span *ngFor="let row of dataProgram.tajj.arr">{{row.value}}, </span>
                                </div>
                                <br><br><br> 
                                <div class="col-sm-4 col-xl-4"> 
                                    <strong>Mitra Kolaborasi</strong><br>
                                    <span *ngFor="let row of dataProgram.mitra.arr">{{row.value}}, </span>
                                </div>
                                <div class="col-sm-4 col-xl-4"> 
                                    <strong>Fasilitator</strong><br>
                                    <span *ngFor="let row of dataProgram.fasilitator.arr">{{row.value}}, </span>
                                </div> 
                                <div class="col-sm-4 col-xl-4">
                                </div> 
                                <br><br><br>  
                                <div class="col-sm-4 col-xl-4"> 
                                    <strong>Anggaran APBD</strong><br>
                                    <span>{{convert.formatRupiah(anggaran_apbd)}} </span>
                                </div> 
                                <div class="col-sm-4 col-xl-4"> 
                                    <strong>Anggaran Non APBD</strong><br>
                                    <span>{{convert.formatRupiah(anggaran_non_apbd)}} </span>
                                </div>
                                <div class="col-sm-4 col-xl-4"> 
                                    <strong>Sumber Anggaran Non APBD</strong><br>
                                    <span *ngFor="let row of anggaran_sumber">{{row}}, </span>
                                </div> 
                                <br><br><br>  
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row" *ngIf="finish_loading == true"> 
                    <div class="col-sm-12"> 
                        <div class="card" style="border-top: 0px; border-radius: 7px; box-shadow: 0 10px 25px 0 rgba(0, 0, 0, 0.1);">
                            <div class="card-block row"> 
                                <div class="col-sm-12 col-xl-12"> 
                                    <strong>Problem Statement</strong><br>
                                    <table class="table datatable display compact" style="table-layout: fixed; word-wrap: break-word;">
                                        <thead>
                                            <tr>
                                                <th style="width: 10%">No</th>
                                                <th style="width: 90%" class="left">Problem</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr *ngFor="let row of dataProgram.problem.arr; let i=index;" >
                                                <td>{{i+1}}</td>
                                                <td> 
                                                    {{row.value}}  
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table> 
                                </div>

                                <div class="col-sm-12 col-xl-12" style="margin-top: 10px"> 
                                    <strong>Ultimate Goal</strong><br>
                                    <table class="table datatable display compact" style="table-layout: fixed; word-wrap: break-word;">
                                        <thead>
                                            <tr>
                                                <th style="width: 10%">No</th>
                                                <th style="width: 90%" class="left">Goal</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr *ngFor="let row of dataProgram.goal.arr; let i=index;" >
                                                <td>{{i+1}}</td>
                                                <td> 
                                                    {{row.value}}  
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table> 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row" *ngIf="finish_loading == true"> 
                    <div class="col-sm-12"> 
                        <div class="card" style="border-top: 0px; border-radius: 7px; box-shadow: 0 10px 25px 0 rgba(0, 0, 0, 0.1);">
                            <div class="card-block row"> 
                                <div class="col-sm-3 col-xl-3"> 
                                    <strong>Dampak Output</strong>
                                </div> 
                                <div class="col-sm-1 col-xl-1" style="text-align: right"> 
                                    <span>:</span>
                                </div>
                                <div class="col-sm-8 col-xl-8"> 
                                    <ul>
                                        <li *ngFor="let row of dataProgram.dampak_pendek.arr">
                                            <i class="icofont icofont-stylish-right text-danger"></i>
                                            {{row.value}} 
                                        </li>
                                    </ul> 
                                </div>

                                <div class="col-sm-3 col-xl-3" style="margin-top: 10px;"> 
                                    <strong>Dampak Outcome</strong>
                                </div> 
                                <div class="col-sm-1 col-xl-1" style="text-align: right; margin-top: 10px;"> 
                                    <span>:</span>
                                </div>
                                <div class="col-sm-8 col-xl-8" style="margin-top: 10px;"> 
                                    <ul>
                                        <li *ngFor="let row of dataProgram.dampak_menengah.arr">
                                            <i class="icofont icofont-stylish-right text-danger"></i>
                                            {{row.value}} 
                                        </li>
                                    </ul> 
                                </div>

                                <div class="col-sm-3 col-xl-3" style="margin-top: 10px;"> 
                                    <strong>Dampak Impact</strong>
                                </div> 
                                <div class="col-sm-1 col-xl-1" style="text-align: right; margin-top: 10px;"> 
                                    <span>:</span>
                                </div>
                                <div class="col-sm-8 col-xl-8" style="margin-top: 10px;"> 
                                    <ul>
                                        <li *ngFor="let row of dataProgram.dampak_panjang.arr">
                                            <i class="icofont icofont-stylish-right text-danger"></i>
                                            {{row.value}} 
                                        </li>
                                    </ul> 
                                </div>

                                <div class="col-sm-3 col-xl-3" style="margin-top: 10px;"> 
                                    <strong>Indikator Kinerja Utama</strong>
                                </div> 
                                <div class="col-sm-1 col-xl-1" style="text-align: right; margin-top: 10px;"> 
                                    <span>:</span>
                                </div>
                                <div class="col-sm-8 col-xl-8" style="margin-top: 10px;"> 
                                    <ul>
                                        <li *ngFor="let row of dataProgram.iku.arr">
                                            <i class="icofont icofont-stylish-right text-danger"></i>
                                            {{row.nama}} 
                                        </li>
                                    </ul> 
                                </div> 
                            </div>
                        </div>
                    </div>
                </div>
 

                <div class="row" *ngIf="finish_loading == true"> 
                    <div class="col-sm-12"> 
                        <div class="card" style="border-top: 0px; border-radius: 7px; box-shadow: 0 10px 25px 0 rgba(0, 0, 0, 0.1);">
                            <div class="card-block row"> 
                                <div class="col-sm-2 col-xl-2"> 
                                    <strong>Facebook</strong>
                                </div> 
                                <div class="col-sm-1 col-xl-1" style="text-align: right"> 
                                    <span>:</span>
                                </div>
                                <div class="col-sm-9 col-xl-9"> 
                                    <a href="{{dataProgram.url_facebook}}">{{dataProgram.url_facebook}}</a>
                                </div>

                                
                                <div class="col-sm-2 col-xl-2"> 
                                    <strong>Instagram</strong>
                                </div> 
                                <div class="col-sm-1 col-xl-1" style="text-align: right"> 
                                    <span>:</span>
                                </div>
                                <div class="col-sm-9 col-xl-9"> 
                                    <a href="{{dataProgram.url_instagram}}">{{dataProgram.url_instagram}}</a>
                                </div>

                                
                                <div class="col-sm-2 col-xl-2"> 
                                    <strong>Twitter</strong>
                                </div> 
                                <div class="col-sm-1 col-xl-1" style="text-align: right"> 
                                    <span>:</span>
                                </div>
                                <div class="col-sm-9 col-xl-9"> 
                                    <a href="{{dataProgram.url_twitter}}">{{dataProgram.url_twitter}}</a>
                                </div>

                                
                                <div class="col-sm-2 col-xl-2"> 
                                    <strong>Youtube</strong>
                                </div> 
                                <div class="col-sm-1 col-xl-1" style="text-align: right"> 
                                    <span>:</span>
                                </div>
                                <div class="col-sm-9 col-xl-9"> 
                                    <a href="{{dataProgram.url_youtube}}">{{dataProgram.url_youtube}}</a>
                                </div>
 
                            </div>
                        </div>
                    </div>
                </div>
                  
                <div class="row" *ngIf="finish_chart_indikator == true"> 
                    <div class="col-sm-12"> 
                        <div class="card" style="border-top: 0px; border-radius: 7px; box-shadow: 0 10px 25px 0 rgba(0, 0, 0, 0.1);">
                            <div class="card-block row"> 
                                <div class="col-sm-12"> 
                                    <div class="">
                                        <ngb-tabset> 
                                            <ngb-tab title="Indikator {{i+1}}"  *ngFor="let row of dataIndikator; let i=index;" >
                                                <ng-template ngbTabContent>
                                                <div [@fadeInOutTranslate] class="m-t-15 row" style="padding: 10px;">
                                                    <div class="col-sm-12 col-xl-12"> 
                                                        <strong>Indikator</strong><br>
                                                        <span>{{row.indikator}} </span> 
                                                        <br> <br>
                                                        <strong>Target</strong><br>
                                                        <span>{{row.target}} </span>  
                                                        <br> <br>
                                                        <strong>Target Kuantitatif</strong><br>
                                                        <span>{{row.target_kuantitatif}} {{row.target_satuan}}</span> 
                                                        <br> <br>
                                                        <strong>Periode Target</strong><br>
                                                        <div class="row">
                                                            <div class="col-md-8">
                                                            <div class="table-responsive">
                                                                <table class="table table-striped table-hover table-bordered" style="margin-bottom: 0px; margin-top: 5px;">
                                                                    <thead>
                                                                        <tr>
                                                                            <td width="15%">Periode Target</td>
                                                                            <td>Target</td>
                                                                            <td>Pencapaian</td>
                                                                            <td>Progres</td>
                                                                        </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                        <tr *ngFor="let tbl of row.table; let i = index;">
                                                                            <td>{{ tbl.tahun }}</td>
                                                                            <td>{{ tbl.target }} {{ tbl.satuan }}</td>
                                                                            <td>{{ tbl.pencapaian }} {{ tbl.satuan }}</td>
                                                                            <td>{{ tbl.progress }}%</td>
                                                                        </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                            </div>
                                                        </div>
                                                        <br> <br>
                                                    </div>
                                                    <div class="col-sm-12 col-md-4 col-xl-4" *ngIf="row.chart"> 
                                                        <strong>Progress Indikator</strong>
                                                        <br><br>
                                                        <chart [type]="row.chart.type" [data]="row.chart.data" [options]="row.chart.options"
                                                        style="width: 75%; margin: auto; background-repeat: no-repeat; background-position: center; background-size: 35%; margin-top: 20px;">
                                                        </chart> 
                                                        <div class="text-center">Progress Indikator <br> (Selama Program Berjalan)</div>
                                                        <br>
                                                    </div>
                                                    
                                                    <div class="col-sm-12 col-md-8 col-xl-8" style="position: relative"  *ngIf="row.chart_bar"> 
                                                        <strong>Progress Target Periode</strong>
                                                        <br><br>
                                                        <chart [type]="row.chart_bar.type" [data]="row.chart_bar.data" [options]="row.chart_bar.options"
                                                        style="bottom: 0px; height:70%;"></chart> 
                                                        <div class="text-center">Progress Target Periode</div>
                                                    </div> 
                                                </div>
                                                </ng-template>
                                            </ngb-tab>  
                                        </ngb-tabset>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                
            </div>
                        
        </div>
    </div>
    <!-- counter-card-1 end-->
</div>
